Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.uma.core.v1
Class RegistryStatus

    java.lang.Object
      be.fgov.ehealth.mediprima.uma.core.v1.RegistryStatus

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:55:52+02:00",
               comments="JAXB RI v2.2.11")
    public class RegistryStatus

extends Object
implements Serializable

RegistryStatus will contain extra information about errors or warning

Java class for RegistryStatusType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RegistryStatusType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ErrorDetail" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}ErrorType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RegistryStatus()`

Method Summary
`List<ErrorType>` | `getErrorDetails()` Gets the value of the errorDetails property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryStatus

    public RegistryStatus()

Method Detail

### getErrorDetails

    public List<ErrorType> getErrorDetails()

  Gets the value of the errorDetails property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the errorDetails property.

  For example, to add a new item, do as follows:

          getErrorDetails().add(newItem);

  Objects of the following type(s) are allowed in the list `ErrorType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.